# Uses of Enum Class
org.eclipse.rap.rwt.template.ImageCell.ScaleMode

Packages that use ImageCell.ScaleMode
Package
Description
org.eclipse.rap.rwt.template

## Uses of ImageCell.ScaleMode in org.eclipse.rap.rwt.template

Subclasses with type arguments of type ImageCell.ScaleMode in org.eclipse.rap.rwt.template
Modifier and Type
Class
Description
`static enum`
`ImageCell.ScaleMode`
Represents a method used to scale an image.
Methods in org.eclipse.rap.rwt.template that return ImageCell.ScaleMode
Modifier and Type
Method
Description
`static ImageCell.ScaleMode`
ImageCell.ScaleMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ImageCell.ScaleMode[]`
ImageCell.ScaleMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.rap.rwt.template with parameters of type ImageCell.ScaleMode
Modifier and Type
Method
Description
`ImageCell`
ImageCell.`setScaleMode(ImageCell.ScaleMode scaleMode)`
Selects the method used for image scaling.